Release notes - Analyst's Notebook Connector for Esri 9.4.0

A high level overview of the release, listing new features, the system requirements and any known issues.

Note: This release of Analyst's Notebook Connector for Esri is the last version to support:
  • Analyst's Notebook Connector for Esri 8.9.12
  • Windows Server 2012

Release highlights

This release is to maintain compatibility with other i2 products that have the same version number.

System requirements

The following system requirements should be used to ensure that the setup you are running is fully supported. Ensure that existing deployments are upgraded to currently supported versions of all the software required.

Operating systems

To run i2 products, you must ensure that you are using a supported operating system.

The supported operating systems:
  • Windows 10 Enterprise
  • Windows 10 Professional
  • Windows Server 2019 Datacenter Edition
  • Windows Server 2019 Essentials Edition
  • Windows Server 2019 Standard Edition
  • Windows Server 2016 Datacenter Edition
  • Windows Server 2016 Essentials Edition
  • Windows Server 2016 Standard Edition
  • Windows Server 2012 R2 Datacenter Edition
  • Windows Server 2012 R2 Essentials Edition
  • Windows Server 2012 R2 Standard Edition
Note: i2 products are supported on hardware virtualization environments that run any of the operating systems that are listed in the detailed system requirements. When you run in a virtual environment, any issues that can be replicated by i2 in a supported operating system are addressed by using the standard support policy.
Note: All server operating systems offer a thin client environment when Terminal Services are enabled.

Software

To run i2 products, you must ensure that your environment includes the listed prerequisite software. In addition you may need to install companion software to enhance your work flow.

Co-packaged software

i2 Analyst's Notebook Connector for Esri 9.4.0 is included as a part of i2 Enterprise Insight Analysis 2.5.0.

Compatible companion products

i2 Analyst's Notebook Connector for Esri 9.4.0 is compatible with:
  • i2 Analyst's Notebook 9.4.0
  • i2 Analyst's Notebook Premium 9.4.0
  • iBase 9.1.0

Prerequisites

Runtime Environment
Minimum version
Microsoft .NET Framework 3.5 SP1
Microsoft .NET Framework 4.7 4.7.2
Microsoft .NET Framework 4.8 4.8
Note:
  • Both Microsoft .NET Framework 3.5 SP1 and either Microsoft .NET Framework 4.7.2 (or later fix packs) or Microsoft .NET Framework 4.8 are required.
  • Analyst's Notebook Premium users with third party plug-ins. Chromium Embedded Framework (CEF) version incompatibility can cause errors in third party plug-ins: Within an application process the CEF component is a singleton and as such can only be initialized once. Third party plug-ins that depend on a different version to the version running within the Analyst's Notebook Premium process might experience errors. To avoid these errors, use the same version of CEF contained in Analyst’s Notebook Premium and check whether CEF is already running before starting your plug-in.
Geographic Information systems
ESRI Server for ArcGIS version 10 and future versions, releases, and fix packs.
Note:
  • ArcGIS Server versions 10.0 to 10.8 are supported.
  • From ArcGIS Server 10.7, new installations of ArcGIS Server use an HTTPS connection by default. It is recommended that ArcGIS Servers 10.7 and later are configured with a digital certificate signed by an external certificate authority. Please see the Esri documentation Secure ArcGIS Server communication for further details.
  • When you are using ArcGIS Server 10.2.2 some basemap tiles might not appear if you use both of the following tile cache settings:
    • Create Tiles on Demand
    • Storage Format: Compact
    This problem is a known issue with ArcGIS server. You can resolve the problem by doing one of the following:
    • Pre-cache the area of interest.
    • Use the Storage Format: Exploded setting.
  • By default, the client is configured to access Esri ArcGIS Online public internet server. See Setting up server connections for details about how to direct the client to your preferred ArcGIS Server.

Hardware

Ensure that the hardware you are installing onto meets the minimal system requirements. Depending on your environment you may wish to increase these values to improve system performance.

Disk space
At least 2 GB free disk space for installation plus space to store data. This figure does not include disk space that is required for prerequisites. Total disk space requirements depend on number of i2 products to be installed.
Display
  • Minimum - XGA-capable 1152 x864 high color 16 bit capable graphics card and color monitor
  • Recommended - SXGA-capable 1280 x 1024 high color 16 bit capable graphics card and color monitor
Memory RAM
  • Minimum - 2 GB
  • Recommended - 4 GB
Processor
  • Minimum - 1.4Ghz processor
  • Recommended - 2.0Ghz processor

Language support

i2 products are tested on a number of various regional variations of operating systems. In addition they are translated into a number of different languages.

Operating system support

i2 supports this product on the following regional versions of the supported operating systems:
Language Group/Language Language Collection Support Status
Western Europe and USA Basic Supported
Central Europe Basic Supported
Baltic Basic Supported
Cyrillic Basic Supported
Turkic Basic Supported
Arabic Complex Script Supported
Japanese East Asian Supported
Korean East Asian Supported
Traditional Chinese East Asian Supported
Simplified Chinese East Asian Supported
Thai Complex Script Unsupported
Vietnamese Complex Script Unsupported
Greek Basic Unsupported
Hebrew Complex Script Unsupported
Indic Complex Script Unsupported
Georgian Complex Script Unsupported
Armenian Complex Script Unsupported
Dhivehi Complex Script Unsupported
Galician Complex Script Unsupported
Gujararti Complex Script Unsupported
Kannada Complex Script Unsupported
Krgyz Complex Script Unsupported
Mongolian (Cyrillic) Complex Script Unsupported
Punjabi Complex Script Unsupported
Syriac Complex Script Unsupported
Telagu Complex Script Unsupported

Data support

i2 products support unicode data.

Translations

The following components are translated:
Analyst's Notebook Connector for Esri
Arabic
Czech
French
German
Hebrew
Hungarian
Italian
Japanese
Korean
Polish
Portuguese (Brazilian)
Russian
Simplified Chinese
Slovak
Spanish
Traditional Chinese
Turkish

Known issues

The following issues are currently reported:

When the Analyst's Notebook Connector for Esri is installed, Analyst's Notebook can fail to open when iBase items are charted

If items are sent from iBase to Analyst's Notebook with the Analyst's Notebook Connector for Esri installed you might see the following error when Analyst's Notebook opens:

Automation error 
The remote procedure call failed. 
Error #-2147023170 occurred in: 
id5Error 5CANDBPlugIn:Commands(Get) 
FMain:ANDBPlugInCommands 

To avoid this problem, ensure that Analyst's Notebook is open before sending items from iBase.